Summary:        Netcat with IPv6 Support
Name:           nc6
Version:        1.0
Release:        1
Group:          Applications/Internet
URL:            http://www.deepspace6.net/projects/netcat6.html
License:        GPLv2+
Source0:        ftp://ftp.deepspace6.net/pub/ds6/sources/nc6/%{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  AIX-rpm >= 5.2.0.0
Requires:       AIX-rpm >= 5.2.0.0

%description
netcat6 is an IPv6-enabled clone of the original netcat utility.

"Netcat is a simple Unix utility which reads and writes data across
network connections.  It is designed to be a reliable "back-end" tool
that can be used directly or easily driven by other programs and
scripts.  At the same time, it is a feature-rich network debugging and
exploration tool, since it can create almost any kind of connection you
would need and has several interesting built-in capabilities.  Netcat,
or "nc" as the actual program is named, should have been supplied long
ago as another one of those cryptic but standard Unix tools."


%prep
%setup -q
%patch0


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}
make DESTDIR=${RPM_BUILD_ROOT}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc README AUTHORS COPYING NEWS TODO
%{_bindir}/%{name}
%{_mandir}/man1/nc6*
/usr/bin/%{name}


%changelog
* Fri Sep 03 2010 Michael Perzl <michael@perzl.org> - 1.0-1
- first version for AIX V5.1 and higher
